Your trades and transactions history (v2)
POST /v2/my-history takes the same request and returns the same response as POST /v1/my-history, but it is faster on long histories. Trades are ordered by trade id. Both paths are served by the same implementation, so v1 keeps working.
On buy rows, price is the price you actually paid (if you get a partner price, this is your price, not the public listing price).
Boolean body fields accept true/false, 1/0, or "true"/"false".
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
skipoptional | body | number | Skip to get next results (max 1000) |
startoptional | body | string | Start date |
endoptional | body | string | End date |
sortoptional | body | enum | Sort by creation time enum: DESC, ASC |
floatoptional | body | number | Selects item float if set to 1 (May be null if an item inspect has not been done before sale) |
hold_onlyoptional | body | boolean | Filter to show only trades with funds on hold (is_released=false with release_date present) |
spendingsoptional | body | boolean | Include outgoing balance history (balance decreases, e.g. tips sent) in a |
incomingsoptional | body | boolean | Include incoming balance history (balance increases, e.g. tips received) in an |
project_idoptional | body | boolean | true: include your project_id on your buy rows. Accepts true/false, 1/0 or "true"/"false". |
orig_priceoptional | body | boolean | true: on sell rows, price is the listing price instead of the amount you received. Accepts true/false, 1/0 or "true"/"false". |
ignoreSteamidoptional | body | boolean | true: return only trades made on your account. By default, trades sent to your Steam ID are included too. Accepts true/false, 1/0 or "true"/"false". |
alloptional | body | boolean | true: return all trades, without the 100-row page limit. Accepts true/false, 1/0 or "true"/"false". |
{
"skip": 0,
"start": "09-20-2022",
"end": "10-25-2022",
"sort": "DESC",
"float": 0,
"hold_only": false,
"spendings": false,
"incomings": false,
"project_id": true,
"orig_price": true,
"ignoreSteamid": true,
"all": false
}Responses
200 successful operation
| Name | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
successoptional | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dataoptional | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{
"success": true,
"data": {
"trades": [
{
"date": "2022-10-29T23:58:17.318Z",
"created": "2022-10-29T23:52:17.318Z",
"id": 4258120,
"item_id": "27341302961",
"give_amount": 1898572,
"image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/4839650857/200fx125f",
"price": 2019758,
"trade_id": 123456789,
"game": "csgo",
"name": "★ Karambit | Gamma Doppler (Factory New)",
"market_name": "Gamma Doppler Phase 3",
"float": 0.0460052728652954,
"status": 5,
"average": 2419222,
"action": "buy",
"is_released": false,
"release_date": "2025-07-28T10:30:00.000Z",
"project_id": "my-shop-order-123"
}
],
"transactions": [
{
"wallet": "string",
"type": "BTC",
"status": "completed",
"amount": 10256672,
"give_amount": 10256672,
"direction": "in",
"date": "2022-01-22T01:22:43.021Z"
}
]
}
}